import request, { postBlob, getBlob, handleImport } from '@/utils/request'

export function adminCompanyPayConfigList(data) {
  return request({
    url: `/admin/company/pay/config/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function adminCompanyPayConfigListExport(data, name) {
  return postBlob({
    url: '/admin/company/pay/config/list/export',
    data,
    name
  })
}

export function adminCompanyPayConfigSave(data) {
  return request({
    url: `/admin/company/pay/config/save`,
    method: 'post',
    data
  })
}

export function adminCompanyPayConfigDetail(params) {
  return request({
    url: '/admin/company/pay/config/detail',
    method: 'post',
    params
  })
}
